.info {
    justify-content: space-between;
}

.prev, .next {
    position: absolute;
    top: 0;
    height: 100%; 
    width: 50%;
    color: white;
    font-size: 18px;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0);
    border: none;
    user-select: none;
}

.prev {
    left: 0;
    cursor: url("../arrow_left.png") 50 50, e-resize;

}

.next {
    right: 0;
    cursor: url("../arrow_right.png") 50 50, e-resize;
}

.slider-images {
    position: relative;
}

.slider-images img {
    border-radius: 1rem;
}

.slide.active {
    display: block; /* Only show the active image */
}

.pagination {
    position: absolute;
    bottom: 1rem;
    left: 1rem;
    z-index: 3999;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 0.25rem 0.5rem;
    border-radius: 0.25rem;
    width: fit-content;
}

.slider-container {
    overflow: hidden;        /* hide extra parts of slides */
    position: relative;
    max-height: 600px;       /* constrain container height */
    margin-right: -1rem;
    border-radius: 0.5rem 0 0 0.5rem;
}

.slider {
    display: flex;           /* arrange slides in a row */
    gap: 1rem;               /* space between slides */
    transition: transform 0.4s ease-in-out; /* smooth sliding */
}

.slide {
    flex: 0 0 auto;          /* slide width based on image naturally */
    max-height: 600px;       /* max height */
    height: auto;            /* keep aspect ratio */
    object-fit: contain;     /* ensures image fits without cropping */
    border-radius: 0.5rem;

}

img {
    width: inherit;
}


/* mobile functinality */

.slider {
    touch-action: pan-y;
    user-select: none;
    cursor: grab;

    will-change: transform;
}

.slider.dragging {
  cursor: grabbing;
}

.slider-container {
  touch-action: pan-y;
}


.prev,
.next {
  pointer-events: auto;
}

.slider {
  pointer-events: auto;
}



@media (pointer: coarse) {

    .prev,
    .next {
        display: none;
    }


    .slider-container {
        max-height: 300px;       /* constrain container height */
        margin-left: -1rem;
    }

    .slider {
        gap: 0;               /* space between slides */
    }
    .slide {
        max-height: 300px;       /* max height */
        margin-left: 1rem;

    }

    .pagination {
        left: 2rem;
    }

}
